import { Skeleton } from "@/components/ui/skeleton";

export function ProductSkeleton() {
  return (
    <div className="flex flex-row items-center justify-between border-b-[1px] border-[#E4E4E4] py-4">
      <div className="flex items-center justify-start gap-3 md:gap-7">
        <Skeleton className="h-6 w-6" />
        <Skeleton className="h-[100px] w-[100px] md:h-[160px] md:w-[160px]" />
        <div>
          <Skeleton className="mb-1 h-4 w-24" />
          <Skeleton className="mb-3 h-6 w-32" />
          <Skeleton className="h-6 w-16" />
        </div>
      </div>
      <div className="flex flex-col items-center gap-3 md:flex-row md:gap-7">
        <Skeleton className="h-8 w-8" />
        <Skeleton className="h-6 w-6" />
        <Skeleton className="h-8 w-8" />
      </div>
    </div>
  );
}
